查询系统产品与第三方海外仓产品映射列表
POST
/erp/sc/routing/owms/inbound/matchSkuList支持查询本地产品与第三方海外仓产品映射列表
接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/routing/owms/inbound/matchSkuList | HTTPS | POST | 1 |
请求参数
Json Object
widstring必填is_matchedintegeroffsetintegerlengthinteger请求示例
{
"wid": "1,578,765",
"is_matched": 1,
"offset": 0,
"length": 20
}
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataarray<object>必填隐藏子属性
warehouse_namestring必填warehouse_codestring必填widinteger必填local_skustring必填local_namestring必填match_numinteger必填oversea_product_namestring必填oversea_unique_codestring必填oversea_product_codestring必填is_matchedboolean必填is_matched_textstring必填twp_idinteger必填sidinteger必填totalinteger必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "B5C43D09-0EAC-FCCF-D88F-B638CFCA4D24",
"response_time": "2024-08-01 16:22:17",
"data": [
{
"wpm_id": 475,
"tw_id": 135,
"warehouse_name": "美国仓库",
"warehouse_name_local": "赛诺仓 美国仓1",
"wid": 765,
"warehouse_code": "US01",
"twp_id": 3428,
"match_num": 1,
"match_third_status": null,
"match_msg": null,
"oversea_product_name": "1+5",
"oversea_unique_code": "1+5",
"oversea_product_code": "1+5",
"oversea_spec": "",
"local_sku": "00022",
"local_name": "手套",
"product_id": 17712,
"fnsku": "X002Y7Q47L",
"seller_id": 101,
"seller_name": "Ak-quanqiu-JP-US2&3",
"country_name": "美国",
"is_matched": true,
"sid": 101,
"is_matched_text": "已配对"
}
],
"total": 22
}